<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class ComboboxKursplanungOnlineArt extends ComboboxOnlineArt
{
  
  public function __construct($datamodul)
  {
    parent::__construct($datamodul->getVarValueEx('webinar', 'kursplanung'));
  }

  protected function getKursartenTypen(): array
  {
    
    return \array_filter(parent::getKursartenTypen(), function($str) {
      return $str !== 'W' && $str !== 'F' && $str !== 'P'; 
    });
  }

  protected function getDefaultOption(): ?\ComboboxOption
  {
    $defaultOption = parent::getDefaultOption();
    $defaultOption->text = 'Präsenzkurs (P)';
    $defaultOption->value = 'P';

    return $defaultOption;
  }
}